## nemo 3.2.2

=== debian/changelog ===
nemo (3.2.2-3mx15+1) mx; urgency=medium

  * Rebuild for MX 15 repository.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 29 Jun 2017 18:16:38 -0700

nemo (3.2.2-3) unstable; urgency=medium

  * Release to unstable

 -- Margarita Manterola <marga@debian.org>  Tue, 20 Dec 2016 20:24:24 -0300

nemo (3.2.2-2) experimental; urgency=medium

  * Explicitly depend on automake, as some buildds sometimes pull
    automaken instead, causing build failures.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 18 Dec 2016 16:54:07 +0100

nemo (3.2.2-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Add new upstream patch: no-over-rebuild-desktop.patch
    Thanks to Norbert Preining for reporting and following this upstream
    (Closes: 825589)
  * Drop upstream applied patch: do_reap_child.diff
  * Drop upstream applied patch: Migrate-away-from-gnome-common-
    deprecated-vars-and-macros.patch
  * Drop upstream applied patch: window-remove-custom-get_preferred_width-
    height-impl.patch
  * Drop upstream applied patch: pathbar-avoid-gtk-warnings.patch
  * Drop upstream applied patch: pathbar-remove-hardcoded-width-for-
    sliders.patch
  * Drop upstream applied patch: fix-desktop-redraw
  * Drop upstream applied patch: Make-AX_-macros-optional.patch
  * Drop upstream applied patch: remove-text-icon-preview.patch
  * Drop upstream applied patch: no-over-rebuild-desktop.patch
  * New upstream release (3.2.2).

  [ Margarita Manterola ]
  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 17 Dec 2016 20:07:53 +0100

nemo (3.0.6-4) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Add new patch: Make-AX_-macros-optional.patch

  [ Margarita Manterola ]
  * Add new patch: debian/patches/remove-text-icon-preview.patch.
    Removes preview from icons now that GTK doesn't support it anymore.
    Thanks to John Kirk for reporting. (Closes: #838526)
  * Replace dbus-launch with dbus-run-session for tests.
    Thanks to Simon McVittie for reporting (Closes: #836036)

 -- Margarita Manterola <marga@debian.org>  Sun, 23 Oct 2016 17:26:28 +0200

nemo (3.0.6-3) unstable; urgency=medium

  * Fix desktop redraw issues with gtk >= 3.21. (Closes: #836908)
    Apply upstream patch f20ec9beee2a3592e723f5140664e2137ab5a7be
    Thanks to Norbert Preining for reporting and importing the patch.
  * Add autoconf-archive as an explicit build-dependency. (Closes: #837852)

 -- Margarita Manterola <marga@debian.org>  Sun, 18 Sep 2016 16:04:03 +0200
