## nemo 3.4.7

=== debian/changelog ===
nemo (3.4.7-1ubuntu1) artful; urgency=medium

  * Update debian/patches/missing-files-potfiles.in

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 02 Sep 2017 14:26:03 -0400

nemo (3.4.7-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release (3.4.7).

  [ Maximiliano Curia ]
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 02 Sep 2017 07:35:30 +0200

nemo (3.4.6-1) experimental; urgency=medium

  * New upstream release (3.4.6).
  * Add libselinux-dev build dep
  * Update install files
  * Bump group breaks (3.4)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Sun, 06 Aug 2017 17:31:50 +0200
