=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nemo
 Section: misc
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
@@ -29,6 +28,7 @@
  libgtk-3-dev (>= 3.9.10),
  libgtk-3-doc,
  libnotify-dev (>= 0.7.0),
+ libselinux1-dev,
  libx11-dev,
  libxext-dev,
  libxml2-dev (>= 2.7.8),
@@ -72,6 +72,7 @@
  .
  Several icon themes and components for viewing different kinds of files
  are available in separate packages.
+Breaks: cinnamon (<< 3.4), nemo-fileroller (<< 3.4)
 
 Package: libnemo-extension1
 Section: libs
@@ -86,6 +87,7 @@
  desktop. It works on local and remote filesystems.
  .
  This package contains the shared library needed by the nemo extensions.
+Breaks: nemo-fileroller (<< 3.4), nemo-python (<< 3.4)
 
 Package: libnemo-extension-dev
 Section: libdevel
@@ -116,6 +118,7 @@
  .
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
+Breaks: nemo-python (<< 3.4)
 
 Package: nemo-data
 Architecture: all
