## nemo 3.4.7+betsy

=== debian/changelog ===
nemo (3.4.7+betsy) sonya; urgency=medium

  [ brownsr ]
  * eel_g_list_str_copy: replace contents with g_list_copy_deep May improve performance somewhat for very high volume file copies though I have no way to test with the volumes reported here https://bugs.launchpad.net/linuxmint/+bug/1663186

  [ Michael Webster ]
  * nemo-main-application.c: try to start as a service first, then a client.  This allows nemo to be started via dbus (which requires it be run with the G_APPLICATION_IS_SERVICE flag) as well as being able to connect to an already-running instance as we can now.
  * nemo-main-application.c: Re-add "no-desktop" command line option. We don't use it anymore, but some programs apparently hardcode nemo with this flag rather than use xdg-open or mimetype activation.  This allows them to continue working as before.
  * nemo-view.c: Fix "follow link to original file" action when the link is on the desktop.  In these cases, we need to launch a folder handler and pass it the full file name (which for most file managers should open the folder and select the file.)
  * nemo-query-editor.c: Use a copy of the query text to check if the query is empty (or all spaces.)  The function g_strstrip modifies the string in-place, and passing the modified query text causes issues when typing multiple words (separated by spaces) in the query.

  [ leigh123linux ]
  * Configure: disable tracker for default

  [ Michael Webster ]
  * nemo-desktop-icon-grid-view.c: Store layout timestamps any time the layout is changed by a user action.
  * Desktop: Remove metadata for pseudo-files on the desktop such as Computer and Home when they're removed via preferences.  This simulates their deletion with respect to how metadata timestamps are tracked and validated.
  * nemo-icon-view-grid-container.c: mark the sort as dirty any time a file is added or removed (this determines whether and when the sort direction indicator is shown in the context menu when auto-arrange is not active.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Aug 2017 13:11:47 +0200

nemo (3.4.6) sonya; urgency=medium

  [ Michael Webster ]
  * nemo-icon-view-grid-container.c: Reset lazy flag when the icon position is stored in auto-layout mode.
  * nemo-file.c: Don't check for valid thumbnails if thumbnailing is disabled.
  * nemo-action.c: Use non-blocking checks for a directory.
  * css: Treat NemoBlankDesktopWindow the same as NemoDesktopWindow with regards to themes, add a couple fixes to our app css to prevent background issues with certain themes (Blackmate, Ambiance)
  * Add github issue template
  * move-to/copy-to dialogs - allow remote locations in the sidebar.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Jul 2017 11:21:28 +0200

nemo (3.4.5) sonya; urgency=medium

  [ Michael Webster ]
  * search (ctrl-f): Don't search for an empty string.  If the user wants to search for every file, they can use the wildcard (*).
  * nemo-application: Only check/create the config dir at startup for nemo, and have nemo-desktop check both config and Desktop directories.
  * nemo-window-menus.c: Fix control-n (new window) action callback when used from the desktop process - it should launch the preferred file manager instead of attempting to spawn a window itself.
  * configure.ac: suppress deprecated warnings
  * Add --enable-silent-rules to debian/rules, quiet C90 warnings.

  [ Clement Lefebvre ]
  * l10n: Generate desktop files

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 26 Jun 2017 12:14:28 +0200

nemo (3.4.4) sonya; urgency=medium

  [ Michael Webster ]
  * nemo-icon-view-grid-container.c: skip default placement if we're in auto-layout mode.  We get false lazy flags on new icons since the original desktop did not use auto-layout.  We need to handle this because we both store layout timestamps and provide auto-layout.
  * nemo-window-slot.c: Initialize cache_bar to NULL, this is checked for in nemo-window-manage-views (nemo_window_slot_check_bad_cache_bar)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 22 Jun 2017 15:00:12 +0200

nemo (3.4.3) sonya; urgency=medium

  [ leigh123linux ]
  * Remove decoration from desktop window (shows in weston)

  [ Michael Webster ]
  * Desktop: Relax control of positioning for placed icons.  At startup, they are loaded and set to their stored position, but not force-aligned, allowing the layout to ignore fluctuations in the work area during system startup.  Fix some logic around 'orphan' icons as well to prevent issues with icons not being shown due to being falsely classified as orphans.
  * icon container: Be more specific about when to flag icons coming from a different monitor due to a desktop configuration change. (see previous commit)
  * metadata: Add back cached position values in NemoFile.  Be sure to clear the timestamp metadata on files being moved/copied to or from the desktop. This ensures the lazy flag operates correctly.  With the desktop becoming a separate process, transfers that include position info need to be handled slightly differently, as the old way of just setting metadata and reacting to it from a new container won't work - the file gets debuted in the other process sooner than (or not reliably after, at least) the metadata is written, resulting in inconsistent positioning.
  * Add gvfs-info action for inspecting file metadata (for purposes of debugging) - right-click a file and it will send gvfs-info output on that file to stdout.
  * nemo-icon-view-grid-container.c: improve updates after thumbnail generation.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 Jun 2017 15:43:53 +0200

nemo (3.4.2) sonya; urgency=medium

  [ Michael Webster ]
  * nemo-icon-container.c: don't force a native window for the desktop - fixes prelight hover sticking on the desktop when leaving an icon to pass into another window.
  * nemo-icon-view-grid-container: don't show bracketed empty spots, it's tacky.
  * nemo-main.c: remove backend requirement (only needed for the desktop)

