## nemo 3.4.7+sonya

=== debian/changelog ===
nemo (3.4.7+sonya) sonya; urgency=medium

  [ brownsr ]
  * eel_g_list_str_copy: replace contents with g_list_copy_deep May improve performance somewhat for very high volume file copies though I have no way to test with the volumes reported here https://bugs.launchpad.net/linuxmint/+bug/1663186

  [ Michael Webster ]
  * nemo-main-application.c: try to start as a service first, then a client.  This allows nemo to be started via dbus (which requires it be run with the G_APPLICATION_IS_SERVICE flag) as well as being able to connect to an already-running instance as we can now.
  * nemo-main-application.c: Re-add "no-desktop" command line option. We don't use it anymore, but some programs apparently hardcode nemo with this flag rather than use xdg-open or mimetype activation.  This allows them to continue working as before.
  * nemo-view.c: Fix "follow link to original file" action when the link is on the desktop.  In these cases, we need to launch a folder handler and pass it the full file name (which for most file managers should open the folder and select the file.)
  * nemo-query-editor.c: Use a copy of the query text to check if the query is empty (or all spaces.)  The function g_strstrip modifies the string in-place, and passing the modified query text causes issues when typing multiple words (separated by spaces) in the query.

  [ leigh123linux ]
  * Configure: disable tracker for default

  [ Michael Webster ]
  * nemo-desktop-icon-grid-view.c: Store layout timestamps any time the layout is changed by a user action.
  * Desktop: Remove metadata for pseudo-files on the desktop such as Computer and Home when they're removed via preferences.  This simulates their deletion with respect to how metadata timestamps are tracked and validated.
  * nemo-icon-view-grid-container.c: mark the sort as dirty any time a file is added or removed (this determines whether and when the sort direction indicator is shown in the context menu when auto-arrange is not active.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Aug 2017 13:11:47 +0200
