=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,9 @@
 CONFIGURE_EXTRA_FLAGS = --libexecdir=/usr/lib/nemo \
                         --disable-update-mimedb \
 			--enable-gtk-doc \
-			--enable-compile-warnings=yes
+			--enable-selinux=no \
+			--enable-compile-warnings=yes \
+			--enable-silent-rules
 
 export LDFLAGS+=-Wl,-z,defs -Wl,-O1 -Wl,--as-needed
