## nemo 3.6.5

=== debian/changelog ===
nemo (3.6.5-1ubuntu1) bionic; urgency=medium

  * backports patches for fix some crashes:
    - nemo-places-sidebar.c: Fix a few issues with mounting/ejecting
      (LP: #1861968)
    - nemo-icon-container.c: clear any existing drag info when the
      icon view's location changes

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 08 Nov 2020 15:20:03 +0100

nemo (3.6.5-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release (3.6.5).
  * Update install files.
  * debian/control:
    add libxapp-dev to build-deps and update others.
    bump group breaks (3.6).
  * Update symbols.
  * move /usr/share/polkit-1/actions/org.nemo.root.policy to nemo-data
  * update debian/copyright

  [ Maximiliano Curia ]
  * Bump Standards-Version to 4.1.1.
  * Set new ml as Maintainer
  * Bump Standards-Version to 4.1.3.
  * Bump debhelper build-dep and compat to 11.
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Mar 2018 15:07:06 +0200
