## nemo 3.6.5+sylvia

=== debian/changelog ===
nemo (3.6.5+sylvia) sylvia; urgency=medium

  [ Michael Webster ]
  * nemo-desktop-manager.c: Add null checks for GErrors - it seems as though g_dbus calls are not guaranteed to fill the error slot (which seems like a Gio bug to me, but there's no reason to crash here regardless because of a null error.)
  * nemo-window - Restore inadvertantly removed menu actions for view type selection (and their corresponding shortcuts,) using methods and practices more consistent with currently maintained code.
  * nemo-window-menus.c: Add a couple guards for the previous commit's view actions for when the window is a NemoDesktopWindow

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 18 Dec 2017 12:37:52 +0000

nemo (3.6.4) sylvia; urgency=medium

  [ Michael Webster ]
  * nemo-window: Restore initial syncing of view buttons.  This was inadvertantly removed in d23762640b48d8 while getting rid of some actual unused code related to an old way view types used to be selected.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 20 Nov 2017 10:10:17 +0000

nemo (3.6.3) sylvia; urgency=medium

  [ Michael Webster ]
  * nemo-desktop-manager.c: Account for scale factor when using cinnamon- supplied monitor info.  Cinnamon runs at a scale factor of 1 always, and things are scaled internally.
  * dnd: Make sure to clear any source_fs pointers after dnd operations.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Oct 2017 11:03:15 +0100

nemo (3.6.2) sylvia; urgency=medium

  [ Leigh Scott ]
  * add xapps version to configure.ac (#1626)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 24 Oct 2017 12:25:45 +0100

nemo (3.6.1) sylvia; urgency=medium

  [ Ingo Lafrenz ]
  * send by mail nemo action (#1625)

  [ Clement Lefebvre ]
  * Fix permissions on files/usr/share/nemo/actions/send-by-mail.py

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 24 Oct 2017 10:58:34 +0100

nemo (3.6.0) sylvia; urgency=medium

  [ brownsr ]
  * eel_g_list_str_copy: replace contents with g_list_copy_deep May improve performance somewhat for very high volume file copies though I have no way to test with the volumes reported here https://bugs.launchpad.net/linuxmint/+bug/1663186

  [ Michael Webster ]
  * nemo-main-application.c: try to start as a service first, then a client.  This allows nemo to be started via dbus (which requires it be run with the G_APPLICATION_IS_SERVICE flag) as well as being able to connect to an already-running instance as we can now.
  * nemo-main-application.c: Re-add "no-desktop" command line option. We don't use it anymore, but some programs apparently hardcode nemo with this flag rather than use xdg-open or mimetype activation.  This allows them to continue working as before.
  * nemo-view.c: Fix "follow link to original file" action when the link is on the desktop.  In these cases, we need to launch a folder handler and pass it the full file name (which for most file managers should open the folder and select the file.)
  * nemo-query-editor.c: Use a copy of the query text to check if the query is empty (or all spaces.)  The function g_strstrip modifies the string in-place, and passing the modified query text causes issues when typing multiple words (separated by spaces) in the query.

  [ leigh123linux ]
  * Configure: disable tracker for default

  [ Michael Webster ]
  * actions: Escape single and double quotes that are part of a file path. Add "Terminal" key in the nemo_action file, to execute the Exec line in a terminal window.
  * actions: Update sample action for Terminal keyword, update nemo_action sourceview files.
  * actions: Only use nemo_launch_application_from_command_array() when Terminal=true.  This ensures compatibility with existing actions, which will continue to use g_spawn_async().
  * nemo-desktop-icon-grid-view.c: Store layout timestamps any time the layout is changed by a user action.
  * Desktop: Remove metadata for pseudo-files on the desktop such as Computer and Home when they're removed via preferences.  This simulates their deletion with respect to how metadata timestamps are tracked and validated.
  * nemo-icon-view-grid-container.c: mark the sort as dirty any time a file is added or removed (this determines whether and when the sort direction indicator is shown in the context menu when auto-arrange is not active.
  * nemo-icon-info.h: Use standard icon sizes for the desktop.

  [ brownsr ]
  * nemo-action.c: fixup a few compiler warnings
  * nemo-icon-private.h: avoid memory padding save a little memory use by rearranging the fields to avoid memory padding in structures
  * eel-editable-label.h: Avoid memory padding move fields in a structure to avoid memory padding made padding explicit to avoid warning messages if the padding compiler warnings are on

  [ Michael Webster ]
  * nemo-file-undo-operations.c: Use GQueue instead of GList for our undo file pair lists.
  * nemo-file-operations.c: use g_remove for native (path-reachable) files.  Allowing the normal g_file_delete involves gvfs whether the file is native or not.
  * nemo.desktop: Remove DBusActivatable line - we don't actually support it yet, it was an unnecessary change in ad5fcfc747466715d.  This ends up just causing issues with getting nemo to launch in more up-to-date distributions.
  * nemo-icon-container.c: Always treat desktop pseudo-files as semi-placed icons - that is, they can have their positions stored, then restored later, but their position can be adjusted upon placement if their previously stored position is now occupied.
  * nemo-progress-ui-handler.c: Use XAppGtkWindow for the progress window, so we can pass progress info to Cinnamon.

  [ Jeremy Bicha ]
  * Add translatable files to POTFILES.in (#1584)

  [ Michael Webster ]
  * nemo-desktop-manager: Refactor and expand to integrate better with cinnamon.
  * plugin manager: allow launching of an extension's config program from the plugin window, rather than having it in the main menu.

